org.deidentifier.arx.risk

## Enum RiskModelPopulationUniqueness.PopulationUniquenessModel

- java.lang.Object
- - java.lang.Enum<RiskModelPopulationUniqueness.PopulationUniquenessModel>
  - - org.deidentifier.arx.risk.RiskModelPopulationUniqueness.PopulationUniquenessModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RiskModelPopulationUniqueness.PopulationUniquenessModel>

Enclosing class:
  RiskModelPopulationUniqueness

    public static enum RiskModelPopulationUniqueness.PopulationUniquenessModel
    extends java.lang.Enum<RiskModelPopulationUniqueness.PopulationUniquenessModel>
    implements java.io.Serializable

The statistical model used for computing Dankar's estimate.

Author:
  Fabian Prasser

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DANKAR`
`PITMAN`
`SNB`
`ZAYATZ`

### Method Summary

All Methods Static Methods Concrete Methods
`static RiskModelPopulationUniqueness.PopulationUniquenessModel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RiskModelPopulationUniqueness.PopulationUniquenessModel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PITMAN

    public static final RiskModelPopulationUniqueness.PopulationUniquenessModel PITMAN

#### ZAYATZ

    public static final RiskModelPopulationUniqueness.PopulationUniquenessModel ZAYATZ

#### SNB

    public static final RiskModelPopulationUniqueness.PopulationUniquenessModel SNB

#### DANKAR

    public static final RiskModelPopulationUniqueness.PopulationUniquenessModel DANKAR

### Method Detail

#### values

    public static RiskModelPopulationUniqueness.PopulationUniquenessModel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RiskModelPopulationUniqueness.PopulationUniquenessModel c : RiskModelPopulationUniqueness.PopulationUniquenessModel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RiskModelPopulationUniqueness.PopulationUniquenessModel valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null